Loading...
Searching...
No Matches
L4::Ipc::Msg::Elem< Array_ref< A, LEN > & > Struct Template Reference

Array_ref as output argument. More...

`#include <ipc_array>`

Collaboration diagram for L4::Ipc::Msg::Elem< Array_ref< A, LEN > & >:

## Public Types

typedef Array_ref< A, LEN > & | arg_type
| Array_ref<> at the interface.
typedef Array_ref< typename L4::Types::Remove_const< A >::type, LEN > | svr_type
| Array_ref<> as server storage.
typedef svr_type & | svr_arg_type
| Array_ref<> & as server argument.

## Detailed Description

template<typename A, typename LEN>
struct L4::Ipc::Msg::Elem< Array_ref< A, LEN > & >

Array_ref as output argument.

Definition at line 183 of file ipc_array.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_array